Add Resolv::DNS::Resource::IN::SPF
06/26/2015 06:58 PM - postmodern (Hal Brodigan)

Status: Assigned

Priority: Normal
Assignee: akr (Akira Tanaka)
Target version:

Description

The SPF type record (RFC4408 Section 3.1.1) is quite common now. The resolv library should probably support it. As a workaround |
monkey patched in the resource class:

class Resolv::DNS::Resource::IN::SPF < Resolv::DNS::Resource: :IN::TXT
# resolv.rb doesn't define an SPF resource type.
TypeValue = 99
ClassValue = Resolv::DNS::Resource::IN::ClassValue

Resolv::DNS::Resource::ClassHash[ [TypeValue, ClassValue]] = self
end

| could formalize my monkeypatch into an actual patch. | would just need to know whether SPF should be listed in the
ClasslnsensitiveTypes array.

History

#1 - 07/01/2015 03:26 AM - nagachika (Tomoyuki Chikanaga)

- Assignee set to akr (Akira Tanaka)

#2 - 04/03/2024 03:50 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned
